#
# spec file for package python-cassowary
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-cassowary
Version:        0.5.2
Release:        3.1
Summary:        A pure Python implementation of the Cassowary constraint solving algorithm
License:        BSD-3-Clause
Group:          Development/Languages/Python
URL:            https://github.com/brodderickrodriguez/cassowary
Source:         https://files.pythonhosted.org/packages/source/c/cassowary/cassowary-%{version}.tar.gz
BuildRequires:  %{python_module pip}
BuildRequires:  %{python_module pytest}
BuildRequires:  %{python_module setuptools}
BuildRequires:  %{python_module wheel}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
A pure Python implementation of the Cassowary constraint-solving algorithm.
Cassowary is the algorithm that forms the core of the OS X and iOS visual
layout mechanism.

%prep
%setup -q -n cassowary-%{version}

%build
%pyproject_wheel

%install
%pyproject_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%check
%pytest

%files %{python_files}
%license LICENSE
%doc AUTHORS README.rst
%{python_sitelib}/cassowary
%{python_sitelib}/cassowary-%{version}*-info

%changelog
* Thu May 15 2025 Markéta Machová <mmachova@suse.com>
- Convert to pip-based build
* Wed May 19 2021 pgajdos@suse.com
- use %%pytest macro in %%check
* Mon Mar 30 2020 Marketa Calabkova <mcalabkova@suse.com>
- Update to 0.5.2
  * Updated authorship and copyright.
  * It is alive!
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Tue Nov  7 2017 toddrme2178@gmail.com
- initial version
